PASTE(1)

NAME
paste - paste multiple files together

SYNOPSIS
paste [-s] [-d list] file...

OPTIONS

-d  # Set delimiter used to separate columns to list.

-s  # Print files sequentially, file k on line k.

EXAMPLES

paste file1 file2
    # Print file1 in col 1, file2 in col 2

paste -s f1 f2
    # Print f1 on line 1 and f2 on line 2

paste -d : file1 file2
    # Print the lines separated by a colon

DESCRIPTION

Paste concatenates corresponding lines of the given input files and writes them to standard output. The lines of the different files are separated by the delimiters given with the option -s. If no list is given, a tab is substituted for every linefeed, except the last one. If end-of-file is hit on an input file, subsequent lines are empty. Suppose a set of k files each has one word per line. Then the paste output will have k columns, with the contents of file j in column j. If the -s flag is given, then the first file is on line 1, the second file on line 2, etc. In effect, -s turns the output sideways.

If a list of delimiters is given, they are used in turn. The C escape sequences \n, \t, \\, and \0 are used for linefeed, tab, backslash, and the null string, respectively.